/* Copyright (C) 2006-2017 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergey Gorbunov [committer] */

#ifndef CbmL1TrackPar_H
#define CbmL1TrackPar_H

#include "L1TrackPar.h"

struct CbmL1TrackPar {
public:
  CbmL1TrackPar() : chi2(0), NDF(0), mass(0), is_electron(0) {}
  double* GetTrack() { return T; }
  double* GetCovMatrix() { return C; }
  double& GetRefChi2() { return chi2; }
  int& GetRefNDF() { return NDF; }
  double GetMass() const { return mass; }
  bool IsElectron() const { return is_electron; }

  int GetNOfHits() { return (NDF - 5) / 2; }  /// Number of hits

  int Id() const { return fId; };
  void SetId(int id) { fId = id; };

public:
  int fId;
  double T[L1TrackPar::kNparTr];
  double C[L1TrackPar::kNparCov];
  double chi2;
  int NDF;
  double mass;  // mass hypothesis
  bool is_electron;
};

#endif
